## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLTableColumnDefinitionRegularImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLTableColumnDefinitionItemImpl
                      org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLTableColumnDefinitionRegularImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLTableColumnDefinitionItem, XMLTableColumnDefinitionRegular

    public class XMLTableColumnDefinitionRegularImpl

extends XMLTableColumnDefinitionItemImpl
implements XMLTableColumnDefinitionRegular

An implementation of the model object 'XML Table Column Definition Regular'.

The following features are implemented:

- `Data Type`
- `Passing Option`
- `Table Column Pattern`
- `Column Definition Default`

Method Summary
`NotificationChain` `basicSetColumnDefinitionDefault(XMLTableColumnDefinitionDefault newColumnDefinitionDefault, NotificationChain msgs)`
`NotificationChain` `basicSetDataType(DataType newDataType, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLTableColumnDefinitionDefault` `getColumnDefinitionDefault()`
`DataType` `getDataType()`
`XMLPassingType` `getPassingOption()`
`java.lang.String` `getTableColumnPattern()`
`void` `setColumnDefinitionDefault(XMLTableColumnDefinitionDefault newColumnDefinitionDefault)`
`void` `setDataType(DataType newDataType)`
`void` `setPassingOption(XMLPassingType newPassingOption)`
`void` `setTableColumnPattern(java.lang.String newTableColumnPattern)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLTableColumnDefinitionItemImpl
`basicSetTableFunction, eBasicRemoveFromContainerFeature, getTableFunction, setTableFunction`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLTableColumnDefinitionItem
`getTableFunction, setTableFunction`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getDataType

    public DataType getDataType()

  Specified by:
    `getDataType` in interface `XMLTableColumnDefinitionRegular`
  Returns:
    the value of the 'Data Type' containment reference.
  See Also:
    `XMLTableColumnDefinitionRegular.setDataType(DataType)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_DataType()`

### basicSetDataType

    public NotificationChain basicSetDataType(DataType newDataType,
                                              NotificationChain msgs)

### setDataType

    public void setDataType(DataType newDataType)

  Specified by:
    `setDataType` in interface `XMLTableColumnDefinitionRegular`
  Parameters:
    `newDataType` - the new value of the 'Data Type' containment reference.
  See Also:
    `XMLTableColumnDefinitionRegular.getDataType()`

### getPassingOption

    public XMLPassingType getPassingOption()

  Specified by:
    `getPassingOption` in interface `XMLTableColumnDefinitionRegular`
  Returns:
    the value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `XMLTableColumnDefinitionRegular.setPassingOption(XMLPassingType)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_PassingOption()`

### setPassingOption

    public void setPassingOption(XMLPassingType newPassingOption)

  Specified by:
    `setPassingOption` in interface `XMLTableColumnDefinitionRegular`
  Parameters:
    `newPassingOption` - the new value of the 'Passing Option' attribute.
  See Also:
    `XMLPassingType`, `XMLTableColumnDefinitionRegular.getPassingOption()`

### getTableColumnPattern

    public java.lang.String getTableColumnPattern()

  Specified by:
    `getTableColumnPattern` in interface `XMLTableColumnDefinitionRegular`
  Returns:
    the value of the 'Table Column Pattern' attribute.
  See Also:
    `XMLTableColumnDefinitionRegular.setTableColumnPattern(String)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_TableColumnPattern()`

### setTableColumnPattern

    public void setTableColumnPattern(java.lang.String newTableColumnPattern)

  Specified by:
    `setTableColumnPattern` in interface `XMLTableColumnDefinitionRegular`
  Parameters:
    `newTableColumnPattern` - the new value of the 'Table Column Pattern' attribute.
  See Also:
    `XMLTableColumnDefinitionRegular.getTableColumnPattern()`

### getColumnDefinitionDefault

    public XMLTableColumnDefinitionDefault getColumnDefinitionDefault()

  Specified by:
    `getColumnDefinitionDefault` in interface `XMLTableColumnDefinitionRegular`
  Returns:
    the value of the 'Column Definition Default' containment reference.
  See Also:
    `XMLTableColumnDefinitionRegular.setColumnDefinitionDefault(XMLTableColumnDefinitionDefault)`, `SQLXMLQueryModelPackage.getXMLTableColumnDefinitionRegular_ColumnDefinitionDefault()`, `XMLTableColumnDefinitionDefault.getColumnDefinitionRegular()`

### basicSetColumnDefinitionDefault

    public NotificationChain basicSetColumnDefinitionDefault(XMLTableColumnDefinitionDefault newColumnDefinitionDefault,
                                                             NotificationChain msgs)

### setColumnDefinitionDefault

    public void setColumnDefinitionDefault(XMLTableColumnDefinitionDefault newColumnDefinitionDefault)

  Specified by:
    `setColumnDefinitionDefault` in interface `XMLTableColumnDefinitionRegular`
  Parameters:
    `newColumnDefinitionDefault` - the new value of the 'Column Definition Default' containment reference.
  See Also:
    `XMLTableColumnDefinitionRegular.getColumnDefinitionDefault()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `XMLTableColumnDefinitionItemImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `XMLTableColumnDefinitionItemImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `XMLTableColumnDefinitionItemImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `XMLTableColumnDefinitionItemImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `XMLTableColumnDefinitionItemImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `XMLTableColumnDefinitionItemImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.